'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _WorkerStyles = require('./WorkerStyles');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Worker = function (_Component) {
	_inherits(Worker, _Component);

	function Worker(props) {
		_classCallCheck(this, Worker);

		var _this = _possibleConstructorReturn(this, (Worker.__proto__ || Object.getPrototypeOf(Worker)).call(this, props));

		_this.state = {
			isWorking: false
		};
		return _this;
	}

	_createClass(Worker, [{
		key: 'componentWillReceiveProps',
		value: function componentWillReceiveProps(nextProps) {
			if (nextProps.isWorking !== this.props.isWorking) {
				this.setState({ isWorking: nextProps.isWorking });
			}
			this.setState({ isWorking: nextProps.isWorking });
		}
	}, {
		key: 'render',
		value: function render() {
			var isWorking = this.state.isWorking;

			return _react2.default.createElement(
				_WorkerStyles.StyledWorker,
				null,
				'It is working ... ',
				isWorking
			);
		}
	}]);

	return Worker;
}(_react.Component);

Worker.propTypes = {
	isWorking: _propTypes2.default.bool
};

Worker.defaultProps = {
	isWorking: false
};

exports.default = Worker;